Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Queue.Declare.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Queue.Declare.Builder

Enclosing interface:
  AMQP.Queue.Declare

    public static final class AMQP.Queue.Declare.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Queue.Declare.Builder()`

Method Summary
`AMQP.Queue.Declare.Builder` | `arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)`
`AMQP.Queue.Declare.Builder` | `autoDelete()`
`AMQP.Queue.Declare.Builder` | `autoDelete(boolean autoDelete)`
`AMQP.Queue.Declare` | `build()`
`AMQP.Queue.Declare.Builder` | `durable()`
`AMQP.Queue.Declare.Builder` | `durable(boolean durable)`
`AMQP.Queue.Declare.Builder` | `exclusive()`
`AMQP.Queue.Declare.Builder` | `exclusive(boolean exclusive)`
`AMQP.Queue.Declare.Builder` | `nowait()`
`AMQP.Queue.Declare.Builder` | `nowait(boolean nowait)`
`AMQP.Queue.Declare.Builder` | `passive()`
`AMQP.Queue.Declare.Builder` | `passive(boolean passive)`
`AMQP.Queue.Declare.Builder` | `queue(java.lang.String queue)`
`AMQP.Queue.Declare.Builder` | `ticket(int ticket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Queue.Declare.Builder

    public AMQP.Queue.Declare.Builder()

Method Detail

### ticket

    public AMQP.Queue.Declare.Builder ticket(int ticket)

### queue

    public AMQP.Queue.Declare.Builder queue(java.lang.String queue)

### passive

    public AMQP.Queue.Declare.Builder passive(boolean passive)

### passive

    public AMQP.Queue.Declare.Builder passive()

### durable

    public AMQP.Queue.Declare.Builder durable(boolean durable)

### durable

    public AMQP.Queue.Declare.Builder durable()

### exclusive

    public AMQP.Queue.Declare.Builder exclusive(boolean exclusive)

### exclusive

    public AMQP.Queue.Declare.Builder exclusive()

### autoDelete

    public AMQP.Queue.Declare.Builder autoDelete(boolean autoDelete)

### autoDelete

    public AMQP.Queue.Declare.Builder autoDelete()

### nowait

    public AMQP.Queue.Declare.Builder nowait(boolean nowait)

### nowait

    public AMQP.Queue.Declare.Builder nowait()

### arguments

    public AMQP.Queue.Declare.Builder arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)

### build

    public AMQP.Queue.Declare build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD